pydo.tags.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.tags.get(tag_id="awesome")
Returns JSONRaises HttpResponseError

Description

To retrieve an individual tag, you can send a GET request to /v2/tags/{tag_id}.

This endpoint will only return tagged resources that you are authorized to see. For example, to see tagged Droplets, include the droplet:read scope.

Parameters

tag_id string required

The name of the tag. Tags may contain letters, numbers, colons, dashes, and underscores. There is a limit of 255 characters per tag.

Max length: 255

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.tags.get(tag_id="awesome")

Response Example

Show Response Example
{
  "tag": {
    "tag": {
      "name": "extra-awesome",
      "resources": {
        "count": 5,
        "last_tagged_uri": "https://api.digitalocean.com/v2/images/7555620",
        "droplets": {
          "count": 1,
          "last_tagged_uri": "https://api.digitalocean.com/v2/droplets/3164444"
        },
        "images": {
          "count": 1,
          "last_tagged_uri": "https://api.digitalocean.com/v2/images/7555620"
        },
        "volumes": {
          "count": 1,
          "last_tagged_uri": "https://api.digitalocean.com/v2/volumes/3d80cb72-342b-4aaa-b92e-4e4abb24a933"
        },
        "volume_snapshots": {
          "count": 1,
          "last_tagged_uri": "https://api.digitalocean.com/v2/snapshots/1f6f46e8-6b60-11e9-be4e-0a58ac144519"
        },
        "databases": {
          "count": 1,
          "last_tagged_uri": "https://api.digitalocean.com/v2/databases/b92438f6-ba03-416c-b642-e9236db91976"
        }
      }
    }
  }
}

More Information

See /v2/tags/{tag_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.